[Ubuntu 14.04.3] servicelog package update

Bug #1461559 reported by bugproxy on 2015-06-03
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
servicelog (Ubuntu)
High
Unassigned
Trusty
High
Mathieu Trudel-Lapierre

Bug Description

Servicelog package updates for ppc64:

Servicelog provides a relational database to help manage errors on a System-p machine. Currently Firmware and device drivers errors are logged and managed using this database, it provides advanced error management capabilities.

Patches required for 14.04.3 release:

== Comment: #5 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:14:22 ==
commit 57874db9cf1e605b3a46107e7383ed354f0c0f41
Author: Vasant Hegde <email address hidden>
Date: Wed Apr 9 11:02:27 2014 +0530

    License: Grant permission to link with librtas library

== Comment: #6 - Kamalesh Babulal <email address hidden> - 2015-06-03 07:15:02 ==
[linux-diag-servicelog] $ git show -p f8d20fa8bf8b9d8376d12056c1357242ab2787b9
commit f8d20fa8bf8b9d8376d12056c1357242ab2787b9
Author: Vasant Hegde <email address hidden>
Date: Mon Jun 30 10:32:11 2014 +0530

    Do not link to librtas and librtasevents library

    servicelog tools do not use any RTAS related APIs directly.
    Instead it makes libservicelog API calls which internally
    makes use of RTAS. Hence we don't need to link librtas
    library here.

Default Comment by Bridge

tags: added: architecture-ppc64le bugnameltc-124874 severity-high targetmilestone-inin14043

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1461559/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Steve Langasek (vorlon) on 2015-06-03
Changed in ubuntu:
assignee: nobody → Adam Conrad (adconrad)
milestone: none → ubuntu-14.04.3

------- Comment From <email address hidden> 2015-07-02 19:13 EDT-------
These patches are over the current 14.04.3 service log package, that is currently on 1.1.12..

bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2015-07-03 06:11 EDT-------
(In reply to comment #12)
> These patches are over the current 14.04.3 service log package, that is
> currently on 1.1.12..

It was based on 14.04.02 (Trusty Tahr) servicelog_1.1.12-0ubuntu1

Thierry FAUCK (thierry-j) wrote :

As these patches are trivial and apply to current version of package servicelog_1.1.12-0ubuntu1, changing status

Changed in ubuntu:
status: New → Confirmed
Adam Conrad (adconrad) on 2015-07-31
affects: ubuntu → servicelog (Ubuntu)
Changed in servicelog (Ubuntu):
assignee: Adam Conrad (adconrad) → Mathieu Trudel-Lapierre (mathieu-tl)
status: Confirmed → In Progress
importance: Undecided → High

Patches are already applied on vivid and later; so we're just left with the trusty task.

Changed in servicelog (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
Changed in servicelog (Ubuntu):
status: In Progress → Fix Released
assignee: Mathieu Trudel-Lapierre (mathieu-tl) → nobody

Hello bugproxy, or anyone else affected,

Accepted servicelog into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/servicelog/1.1.12-0ubuntu1.14.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in servicelog (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package servicelog - 1.1.12-0ubuntu1.14.04.1

---------------
servicelog (1.1.12-0ubuntu1.14.04.1) trusty; urgency=medium

  * Cherry-picks from 1.1.13 as debian/patches: (LP: #1461559)
    - 0001-License-Grant-permission-to-link-with-librtas-librar.patch:
      Grant permission to link with librtas (transitively via libservicelog).
    - 0001-Do-not-link-to-librtas-and-librtasevents-library.patch:
      Don't link with librtas/librtasevent.

 -- Mathieu Trudel-Lapierre <email address hidden> Wed, 05 Aug 2015 12:34:38 -0400

Changed in servicelog (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for servicelog has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints